> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Returns usage data per domain for the chosen classification

# Domains by classification data

## Query parameters

<ParamField query="from" type="string">
  start time frame of requested data

  Example: `from=2018-07-01T00:00:00`
</ParamField>

<ParamField query="to" type="string">
  end time frame of requested data

  Example: `to=2018-07-02T00:00:00`
</ParamField>

<ParamField query="cn" type="string">
  country of the request origin

  Example: `cn=uk`
</ParamField>

<ParamField query="peer_cn" type="string">
  country of the peer IP

  Example: `peer_cn=us`
</ParamField>

<ParamField query="categories" type="string">
  returns only specific classifications

  Example: `categories=ads`
</ParamField>

<ParamField query="order_by" type="string">
  orders results by bw/requests

  * `order_by=bw`
  * `order_by=req`
</ParamField>

<ParamField query="order" type="string">
  orders results by size in ascending/decsending order

  * `order=asc`
  * `order=desc`
</ParamField>

<RequestExample>
  ```sh Request theme={null}
  curl "https://api.brightdata.com/shield/domains_by_class?category=Ads" -H "Authorization: <Bearer Token>" 
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
      {
          "domain":"static.addtoany.com",
          "req":16370,
          "bw":200590537
      }, ... 
  ]
  ```
</ResponseExample>
